// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scenes/PixelVNScene.hpp"

namespace Dawn {
  class Scene_18 : public PixelVNScene {
    protected:
      void vnStage() override {
        PixelVNScene::vnStage();
      }

      void onSceneEnded() {
      }

      IVisualNovelEvent * getVNEvent() override {
        auto start = new VisualNovelPauseEvent(vnManager, 0.1f);

        start
          ->then(new VisualNovelTextboxEvent(vnManager, nullptr, "scene.18.1"))
          ->then(new VisualNovelCallbackEvent<Scene_18>(vnManager, this, &Scene_18::onSceneEnded))
        ;

        return start;
      }

    public:
      Scene_18(DawnGame *game) : PixelVNScene(game) {
      }

      std::vector<Asset*> getRequiredAssets() override {
        std::vector<Asset*> assets = PixelVNScene::getRequiredAssets();
        return assets;
      }
  };
}